
Figure - Bug #116610
【BSP】【EVT3】【ST】【Audio】中控多媒体播放时，副屏调整音量，此时副屏会请求音频焦点导致中控播
放暂停
2023-02-28 20:00 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-02-28

Priority: High Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0068

Resolution: -- Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

现象：

中控多媒体播放时，副屏调整音量，此时副屏会请求音频焦点导致中控播放暂停

预期结果：

副屏调整音量时不应该请求焦点，音量同步给中控但不影响中控播放

History

#1 - 2023-02-28 20:00 - 移动测试一组_CDTS 刘强

- Category set to BSP

#2 - 2023-03-01 09:46 - CD BSP何伟

- Assignee changed from CD BSP何伟 to CD FW 曹覃刚

Hi 覃刚

如昨天说的，中控在播放的时候，副屏去调整音量，由于会播放这个设置音，setting就会请求音频焦点导致中控的播放被停止了

请帮忙将设置音给去掉，谢谢

#3 - 2023-03-02 15:25 - CD FW 曹覃刚

- Category changed from BSP to CD-FW

- Status changed from New to ASSIGNED

#4 - 2023-03-08 15:34 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

186166 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:Settings: Delete the sound1.Delete the sound of notifications2.Delete the sound of set the volumeTC-RID: 1201-0201805IssueID:
#5 - 2023-03-08 15:37 - CD FW 曹覃刚

- Category changed from CD-FW to AUDIO-FW

- Assignee changed from CD FW 曹覃刚 to CD BSP何伟

Hi 何伟

设定设置音量时发出的声音以及通知的声音已删除(注，三方应用内部自己播放的通知音效无法在AF侧处理)

如沟通,需要将票转回给你，继续处理

#6 - 2023-03-13 10:19 - CD BSP-杜磊

- Assignee changed from CD BSP何伟 to CD BSP-唐金泽

#7 - 2023-03-13 17:31 - CD TPM-王祥林

- Assignee changed from CD BSP-唐金泽 to Multimedia组-RD3_TSCD 梁卿山

#8 - 2023-03-14 14:35 - CD BSP何伟

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to 移动测试一组_CDTS 刘强

Hi 刘强，

该问题在覃刚投入代码后解决，请按以下步骤验证

测试步骤:

1.连接好网线和A2B线

2.中控播放音乐

3.副屏调整系统音量

期望结果：

1.音量同步给中控

2.中控没有停止音乐播放

#9 - 2023-03-15 18:14 - 移动测试一组_CDTS 刘强

- Status changed from ASSIGNED to RESOLVED

Hi all

此问题在01.00.0082.C101上验证通过。

Thanks

#10 - 2023-03-15 18:15 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

#11 - 2023-03-15 18:15 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED
